#ifndef _Handle_PTopLoc_ItemLocation_HeaderFile
#define _Handle_PTopLoc_ItemLocation_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PTopLoc_ItemLocation;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PTopLoc_ItemLocation);

class Handle(PTopLoc_ItemLocation) : public Handle(Standard_Persistent) {
  public:

    Handle(PTopLoc_ItemLocation)():Handle(Standard_Persistent)() {} 
    Handle(PTopLoc_ItemLocation)(const Handle(PTopLoc_ItemLocation)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PTopLoc_ItemLocation)(const PTopLoc_ItemLocation* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PTopLoc_ItemLocation)& operator=(const Handle(PTopLoc_ItemLocation)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PTopLoc_ItemLocation)& operator=(const PTopLoc_ItemLocation* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PTopLoc_ItemLocation* operator->() const 
     {
      return (PTopLoc_ItemLocation *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PTopLoc_ItemLocation) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
